## org.eclipse.emf.ecore.util
Class EcoreUtil.AbstractFilteredSettingsIterator<E>

    java.lang.Object
      org.eclipse.emf.ecore.util.EcoreUtil.AbstractFilteredSettingsIterator<E>

All Implemented Interfaces:
  java.util.Iterator<E>

Direct Known Subclasses:
  EcoreUtil.FilteredSettingsIterator

Enclosing class:
  EcoreUtil

    public abstract static class EcoreUtil.AbstractFilteredSettingsIterator<E>

extends java.lang.Object
implements java.util.Iterator<E>

An iterator over `settings` that filters out the ones that aren't of interest. If an `EReference` is specified, the iterator will only yield settings with that as their `feature`. If an `EClass` is specified, the iterator will only yield settings with an `object` of that type. Use `EcoreUtil.FilteredSettingsIterator` to yield just the settings themselves, or to affect the yielded values, extend this class and implement `yield(org.eclipse.emf.ecore.EStructuralFeature.Setting)`.

Since:
  2.5

Field Summary
`protected EClass` `eClass`
`protected EReference` `eReference`
`protected int` `index`
`protected java.util.Iterator<EStructuralFeature.Setting>` `iterator`
`protected java.util.List<EStructuralFeature.Setting>` `list`
`protected EStructuralFeature.Setting` `preparedResult`
`protected int` `size`

Constructor Summary
`EcoreUtil.AbstractFilteredSettingsIterator(java.util.Collection<EStructuralFeature.Setting> collection, EReference eReference, EClass eClass)`
`EcoreUtil.AbstractFilteredSettingsIterator(java.util.Iterator<EStructuralFeature.Setting> iterator, EReference eReference, EClass eClass)`
`EcoreUtil.AbstractFilteredSettingsIterator(java.util.List<EStructuralFeature.Setting> list, EReference eReference, EClass eClass)`

Method Summary
`boolean` `hasNext()`
`protected boolean` `isIncluded(EStructuralFeature.Setting setting)`
`E` `next()`
`void` `remove()`
`protected abstract E` `yield(EStructuralFeature.Setting setting)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected java.util.List<EStructuralFeature.Setting> list

### size

    protected int size

### index

    protected int index

### iterator

    protected java.util.Iterator<EStructuralFeature.Setting> iterator

### preparedResult

    protected EStructuralFeature.Setting preparedResult

### eReference

    protected EReference eReference

### eClass

    protected EClass eClass

Constructor Detail

### EcoreUtil.AbstractFilteredSettingsIterator

    public EcoreUtil.AbstractFilteredSettingsIterator(java.util.List<EStructuralFeature.Setting> list,
                                                      EReference eReference,
                                                      EClass eClass)

### EcoreUtil.AbstractFilteredSettingsIterator

    public EcoreUtil.AbstractFilteredSettingsIterator(java.util.Collection<EStructuralFeature.Setting> collection,
                                                      EReference eReference,
                                                      EClass eClass)

### EcoreUtil.AbstractFilteredSettingsIterator

    public EcoreUtil.AbstractFilteredSettingsIterator(java.util.Iterator<EStructuralFeature.Setting> iterator,
                                                      EReference eReference,
                                                      EClass eClass)

Method Detail

### isIncluded

    protected boolean isIncluded(EStructuralFeature.Setting setting)

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<E>`

### next

    public E next()

  Specified by:
    `next` in interface `java.util.Iterator<E>`

### yield

    protected abstract E yield(EStructuralFeature.Setting setting)

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.